diff -Nru reference/Webserver/GMD.c webserver/Webserver/GMD.c
--- reference/Webserver/GMD.c	2013-05-16 00:47:27.749695060 +0200
+++ webserver/Webserver/GMD.c	2013-05-16 00:47:33.272626014 +0200
@@ -47,7 +47,7 @@
 // please modify the following two lines. mac and ip have to be unique
 // in your local area network. You can not have the same numbers in
 // two devices:
-static uint8_t mymac[6] = {0xcd,0x15,0x16,0x17,0x18,0x19};
+static uint8_t mymac[6] = {0x00,0x15,0x16,0x17,0x18,0x19};
 static uint8_t myip[4] = {192,168,2,24};
 // listen port for tcp/www (max range 1-254)
 #define MYWWWPORT 80
diff -Nru reference/Webserver/Makefile webserver/Webserver/Makefile
--- reference/Webserver/Makefile	1970-01-01 01:00:00.000000000 +0100
+++ webserver/Webserver/Makefile	2013-05-16 00:20:00.078293787 +0200
@@ -0,0 +1,119 @@
+#######################################################################################
+
+# environment variable of the current user to locate the AVR8 toolchain
+AVRPATH = $(AVR8TOOLCHAINBINDIR)
+
+# the type of avr microcontroller
+DEVICE = atmega8
+
+# the frequency the microcontroller is clocked with
+F_CPU = 16000000
+
+# where the firmware should be located within the flashmemory (in case you trampoline)
+FLASHADDRESS = 0x0000
+
+# (not important for compiling) - the device transporting firmware into the controller
+#PROGRAMMER = -c pony-stk200
+PROGRAMMER = -c usbasp
+
+#######################################################################################
+
+
+
+# Tools:
+ECHO=@echo
+GCC=gcc
+MAKE=@make
+RM=@rm -f
+
+CC=$(AVRPATH)avr-gcc
+OBC=@$(AVRPATH)avr-objcopy
+OBD=@$(AVRPATH)avr-objdump
+SIZ=@$(AVRPATH)avr-size
+
+AVRDUDE = $(AVRDUDEBINDIR)/avrdude $(PROGRAMMER) -p $(DEVICE)
+
+
+MYCFLAGS = -Wall -Os -fno-move-loop-invariants -fno-tree-scev-cprop -fno-inline-small-functions -I. -mmcu=$(DEVICE) -DF_CPU=$(F_CPU) $(CFLAGS)   $(DEFINES)
+MYLDFLAGS = -Wl,--relax,--gc-sections $(LDFLAGS)
+
+
+FLASHPREAMBLEDEFINE = 
+ifneq ($(FLASHADDRESS), 0)
+ifneq ($(FLASHADDRESS), 00)
+ifneq ($(FLASHADDRESS), 000)
+ifneq ($(FLASHADDRESS), 0000)
+ifneq ($(FLASHADDRESS), 00000)
+ifneq ($(FLASHADDRESS), 0x0)
+ifneq ($(FLASHADDRESS), 0x00)
+ifneq ($(FLASHADDRESS), 0x000)
+ifneq ($(FLASHADDRESS), 0x0000)
+ifneq ($(FLASHADDRESS), 0x00000)
+FLASHPREAMBLE = 0x0000
+FLASHPREAMBLEDEFINE = -DFLASHPREAMBLE=$(FLASHPREAMBLE)
+MYLDFLAGS += -Wl,--section-start=.text=$(FLASHADDRESS)
+endif
+endif
+endif
+endif
+endif
+endif
+endif
+endif
+endif
+endif
+
+
+
+
+
+
+
+all:  GMD.hex GMD.raw GMD.asm
+
+led.o: led.c led.h
+	$(CC) led.c -c -o led.o $(MYCFLAGS)
+
+enc28j60.o: net/enc28j60.c net/enc28j60.h
+	$(CC) net/enc28j60.c -c -o enc28j60.o $(MYCFLAGS)
+
+ip_arp_udp_tcp.o: net/ip_arp_udp_tcp.c net/ip_arp_udp_tcp.h
+	$(CC) net/ip_arp_udp_tcp.c -c -o ip_arp_udp_tcp.o $(MYCFLAGS)
+
+GMD.o: GMD.c
+	$(CC) GMD.c -c -o GMD.o $(MYCFLAGS)
+
+GMD.elf: GMD.o led.o enc28j60.o ip_arp_udp_tcp.o
+	$(CC) GMD.o led.o enc28j60.o ip_arp_udp_tcp.o -o GMD.elf $(MYCFLAGS) -Wl,-Map,GMD.map $(MYLDFLAGS)
+	$(ECHO) "."
+	$(SIZ) GMD.elf
+	$(ECHO) "."
+
+GMD.hex: GMD.elf
+	$(OBC) -j .text -j .data -O ihex GMD.elf GMD.hex
+
+GMD.raw: GMD.elf
+	$(OBC) -j .text -j .data -O binary GMD.elf GMD.raw
+
+GMD.asm: GMD.elf
+	$(OBD) -d GMD.elf > GMD.asm
+
+disasm: GMD.elf
+	$(OBD) -d GMD.elf
+
+flash: GMD.hex
+	$(ECHO) "."
+	$(AVRDUDE) -U flash:w:GMD.hex:i
+	$(ECHO) "."
+
+deepclean: clean
+	$(RM) libs/*~
+	$(RM) *~
+
+clean:
+	$(RM) *.o
+	$(RM) GMD.hex
+	$(RM) GMD.raw
+	$(RM) GMD.asm
+	$(RM) GMD.map
+	$(RM) GMD.elf
diff -Nru reference/Webserver/led.h webserver/Webserver/led.h
--- reference/Webserver/led.h	2012-10-12 12:31:54.000000000 +0200
+++ webserver/Webserver/led.h	2013-05-16 00:21:42.652011439 +0200
@@ -12,7 +12,7 @@
 #define LED_PORT PORTD
 #define LED_PIN PIND
 //--define pin where LED sensor is connected
-#define LED_DQ 7	//PB0
+#define LED_DQ 3	//PB0
 //--
 #define LED_INPUT_MODE() LED_DDR&=~(1<<LED_DQ)
 #define LED_OUTPUT_MODE() LED_DDR|=(1<<LED_DQ)
@@ -22,4 +22,4 @@
 
 int LEDInit();
 int LEDSet(int st);
-void LEDToggle();
\ No newline at end of file
+void LEDToggle();
diff -Nru reference/Webserver/net/enc28j60.c webserver/Webserver/net/enc28j60.c
--- reference/Webserver/net/enc28j60.c	2012-11-03 13:18:12.000000000 +0100
+++ webserver/Webserver/net/enc28j60.c	2013-05-16 00:22:07.433701625 +0200
@@ -176,6 +176,9 @@
 {
 	// initialize I/O
         // ss as output:
+	DDRB |= _BV(PB2);
+	PORTB &= ~ _BV(PB2);
+
 	ENC28J60_CS_DDR |= 1<<ENC28J60_CS_PIN;
 	CSPASSIVE; // ss=0
         //	
